/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: SignatureVerifier.idl,v $
 * $Revision: 1.4 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
 
//i20156 - new file for xmlsecurity module

/** -- idl definition -- **/

#ifndef __com_sun_star_xml_crypto_sax_signatureverifier_idl_
#define __com_sun_star_xml_crypto_sax_signatureverifier_idl_

#include <com/sun/star/uno/XInterface.idl>
#include <com/sun/star/uno/Exception.idl>
#include <com/sun/star/lang/XInitialization.idl>
#include <com/sun/star/lang/XServiceInfo.idl>

#include <com/sun/star/xml/crypto/XUriBinding.idl>

#include "XReferenceResolvedListener.idl"
#include "XReferenceCollector.idl"
#include "XSignatureVerifyResultBroadcaster.idl"
#include "XKeyCollector.idl"
#include "XMissionTaker.idl"

module com { module sun { module star { module xml { module crypto { module sax {

/**
 * Service of SignatureVerifier
 */
service SignatureVerifier {
    interface XReferenceResolvedListener ;
    interface XReferenceCollector ;
    interface XSignatureVerifyResultBroadcaster ;
    interface XKeyCollector ;
    interface XMissionTaker ;
    interface com::sun::star::xml::crypto::XUriBinding;
    interface com::sun::star::lang::XInitialization ;
    interface com::sun::star::lang::XServiceInfo ;
};

 } ; } ; } ; } ; } ; } ;


#endif

